> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/rate-limits.md).

# Rate Limits

The REST API rate limits requests by IP address **AND**, in some cases, by route.

* **IP Address:** 250 requests per 10 seconds.&#x20;
  * If you exceed this, a `429` error is thrown and you have to wait 60 seconds before resuming.
* **Route-specific limits:** Routes with unique rate limits are specified in the route details within this documentation. e.g. [Get All Done Orders](/rest-api/orders/get-all-done-orders.md).
  * If the route details do NOT specify a rate limit then the route does not have a specific rate limit.
  * If you exceed this, a `429` error is thrown and you have to wait 10 seconds before resuming **requests to this specific route.**

{% hint style="info" %}
sFOX recommends using the [**WebSocket API**](/websocket-api/introduction.md) for retrieving data as much as possible as this will not count towards the request limit.

**Note:** sFOX typically enforces route-specific rate limits on routes that return data that is available via the [**WebSocket API**](/websocket-api/introduction.md) e.g. account balances.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
